﻿; MinimizeAllWindow.ahk[UTF-8] (2025/01/25 22:00)
; for AutoHotKey v2.0.19 or later
;
; 全ウィンドウの最小化と復元切替を行う
;    MinimizeAllWindow.exe Mode
;       Mode
;          1/on/hide         : 全ウィンドウを最小化する
;          2/off/res/restore : 元に戻す
;

/* 同時に複数実行を許可する */
#SingleInstance Off

/* コマンドオプション数チェック */
if( A_Args.Length < 1 ){
	DispUsage()
}

/* モード */
iMode := A_Args[1]

/* モードの扱い */
if( iMode = 1 or StrUpper(iMode) = "ON" or StrUpper(iMode) = "HIDE" ){
	iMode := 1
}else if( iMode = 0 or iMode = 2 or StrUpper(iMode) = "OFF" or StrUpper(iMode) = "RES" or StrUpper(iMode) = "RESTORE" ){
	iMode := 2
}else{
	DispUsage()
}

try{
	if( iMode = 1 ){
		WinMinimizeAll()
	}else{
		WinMinimizeAllUndo()
	}
	ExitApp(0)
}catch{
	ExitApp(1)
}


DispUsage(){
	msg := 'Usage:`n'
	msg := msg 'MinimizeAllWindow.exe Mode`n`n'
	msg := msg '[Mode]`n'
	msg := msg '    1/on/hide = Minimize All Window`n'
	msg := msg '    0/off/res/restore = Restore Window`n'
	MsgBox(msg)
	ExitApp(1)
}


